Questions tagged [compatibility]

Concerning one computer system or software implementations' ability to work interactively with another, dissimilar computer system or software application

Filter by
Sorted by
Tagged with
1
vote
0answers
1k views

Final Cut Pro 10.4 for macOS Mojave

If a user is running macOS Mojave 10.14.6 and does not want to upgrade to Catalina or Big Sur, how can they trial Final Cut Pro? The latest Final Cut Pro, 10.5.1. released in December 2020 in the App ...
1
vote
4answers
3k views

Is there any way to run incompatible apps from future versions of macOS?

I am running macOS Mojave 10.14.6 and I want to run an application which was made only for Catalina. I have downloaded “Noto” from the Mac App Store on another Mac (Running Catalina) and copied it on ...
1
vote
1answer
23 views

cl date function working differently in Intel and M1 machines

I have a shell script to calculate the number of days from a particular date: echo D$((($(date +%s)-$(date +%s --date "2018-01-01"))/(3600*24))) On my 2019 MBP (Intel), it works. On my 2020 ...
0
votes
2answers
33 views

Can a MacBook 12 inch (2017) run OSX Mavericks?

I have a newish MacBook from 2017, but I have an old backup with programs I need to run from an old MacBook Pro 2013 that was running Mavericks. The app from my backup is only for 32bit and requires ...
3
votes
2answers
1k views

Is it possible to use an older Canon Scanner with OS 10.11 El Capitan?

My Canon LIDE 600F scanner is old but still worked very well. When I upgraded to OS 10.11 my computer no longer recognized the scanner. Canon has officially stated that they are not making new drivers ...
0
votes
0answers
17 views

5th Gen Airport Extreme Randomly drops connection - but only on some devices

Here's the situation: I am using a brand new MacBook Pro, and thus far all seems well. I have a 5th Gen Airport Extreme that has worked well for nearly a decade. (I hadn't realized it was so long, but ...
2
votes
2answers
805 views

MBP Mini-DisplayPort to USB-C Monitor

I have an "old" MacBook Pro (MBP) that has a Mini-DisplayPort connector. I have a newer MBP with 4 USB-C connectors that I use with an LG UltraFine 5K Monitor (aka. LG 27MD5KA-B). I wanted to know ...
0
votes
3answers
110 views

How can current versions of Adobe products continue to run on the new Macs with Apple Silicon?

During its November 10, 2020 event, Apple has announced that Adobe is bringing its major apps to Apple Silicon, starting with the Lightroom photography software. They also said that all current ...
4
votes
2answers
2k views

iPhone 7 Plus running iOS 13.6.1 not supported by Xcode 11.7 [closed]

An app I developed works fines with my iPhone 8 running iOS 13.6.1. But when I go to test it on another phone, I receive this error: "This iPhone 7 Plus (Model 1661, 1784, 1785, 1786) is running ...
1
vote
1answer
35 views

Which MacBook Air models use an SSD compatible with my mid-2013 11" A1465?

I got a damaged MacBook Air for free a few years ago with the screen not working and the SSD missing. I got it fixed and working with a USB3 external drive and it's been great for years. Now I'm ...
1
vote
0answers
60 views

Why is Apple changing the default shell to zsh? [duplicate]

As bash is so broadly available, it provides a good compatibility layer for users that come from other Posix systems to use macOS. Why the move to zsh as the default shell, and why the extensive ...
0
votes
0answers
21 views

iPhone 8 256 GB rear camera Apple part number

I would like to confirm that iPhone 8 256 GB rear camera Apple part number 661-08936 fits phone model MQ7Q2LL/A. Thanks,
1
vote
0answers
23 views

Should I take additional precautions to use Parallels shared folder on Linux?

On macOS Catalina I installed Debian 10 i386 on Parallels, installed the vm tools also. Everything looks fine. I would like to play with Qt projects on both platforms. Since Qt is multi platform ...
1
vote
1answer
215 views

Can this 800 MHz iMac G4 boot into Mac OS 9?

I'm trying to find a legacy Mac that I can use to boot into Mac OS 9. I've found an old iMac G4 in the classified ads, but it has Mac OS X currently installed and I'm not sure if it's compatible with ...
1
vote
0answers
51 views

Will any AirPrint-compatible printer work with macOS Catalina?

There seems to be a lot of confusion around which printers can be made to work with macOS Catalina. Now that 32-bit print drivers are no longer supported on Catalina, that seems to break compatibility ...
1
vote
0answers
154 views

Nvidia eGPU compatibility with a 2015 MacBookPro running a DualBoot (Ubuntu 16.04)

My question is very specific, but I hope someone has already encounter a similar problem. I want to use a Nvidia eGPU, GeForce RTX™ 2080 Ti with my early 2015 MacBook pro (Thunderbolt 2 only). I ...
110
votes
5answers
59k views

Linux' `ps f` (tree view) equivalent on OSX?

How can I get a tree view like the one below on OSX? vartec@some_server:~$ ps xf PID TTY STAT TIME COMMAND 11519 ? S 0:00 sshd: vartec@pts/0 11520 pts/0 Ss 0:00 \_ -bash ...
1
vote
1answer
40 views

CSV from Windows Server Unable to open on Linux/Mac

A small CSV file that was generated on a Windows server is not opening correctly on Linux/Mac. The only way to open this file is via MS Excel for Mac, which gives the following prompt: The CSV file ...
0
votes
1answer
13k views

What version of Logic Pro X works on macOS Sierra?

I noticed that the latest version of Logic Pro X requires macOS 10.13.6 (High Sierra) or newer. Does anyone know what the last version of Logic Pro X that can run on macOS 10.12.6 (Sierra) is?
0
votes
1answer
688 views

iPhone 11 A2111 compatibility with LTE bands in Europe (Portugal)

Maybe this is a stupid question, but I'm visiting the States in a few months and I was thinking of buying the iPhone 11 there. I'm aware that there are 3 models because of network compatibilities. In ...
0
votes
4answers
5k views

Is there an external SSD enclosure compatible with OWC Aura SSD?

I have bought an OWC Aura SSD that I have used to expand the memory of my previous Macbook. Now, for various reasons, I would like to use the Aura SSD as an external drive. Is there any enclosure ...
0
votes
1answer
1k views

App Compatibility doesn't work on iPhone 5c

The App Compatibility feature was designed by Apple to list the apps that won't work after a new update is released, and you can find it by accessing Settings > General > About > Applications. It's ...
0
votes
1answer
66 views

Moving an SSD from a MBP 2014 to a 2015

If I want to transfer a 256 SSD with everything on it (OS Catalina) from a mid 2014 Macbook Pro 13" to an early 2015 Macbook Pro 13", will it work? Or should I reinstall it?
2
votes
2answers
6k views

AirPods Pro on Mojave

I am thinking of buying the new AirPods Pro but according to the support page, you “need” at least macOS Catalina 10.15.1 in order to use them. However this is surely misleadingly worded since AirPods ...
1
vote
0answers
78 views

Postgresql 11 on Lion

We may be receiving a 1,1 Xserve running OSX Lion 10.7.6 (newest for the hardware) and need to run Postgres on the system. Will the newest version (11.5_1 at the time of writing) work on Lion if ...
7
votes
5answers
19k views

Will older Adobe Applications (CS5/CS6) work with Mojave?

I have some Adobe applications that I use for occasional work (Photoshop, Illustrator, Lightroom, Acrobat). These are the versions prior to the CC version (Creative Cloud) and they work on El Capitan ...
1
vote
1answer
238 views

Are AirPlay2 device retrocompatible with AirPlay

I've a 2012 MacBook pro running MacOS 10.11. It does not have AirPlay 2 (but AirPlay is running fine). I wonder if I buy a AirPlay2 device if they are going to work with it ?
1
vote
1answer
621 views

What displays work with the Mac Pro (2019)?

What displays besides the Pro Display XDR will work with the 2019 Mac Pro? Is there a list somewhere of (both Apple and non-Apple) displays that are compatible?
4
votes
1answer
951 views

What's the PCI Compatibility for Mac Pro, Early 2008?

I have a Mac Pro, Early 2008, (MacPro3,1) running Mojave. I'd like to add a PCI card for USB 3. Lots of USB cards advertise Mac Pro compatibility, but don't get specific as to models. What do I look ...
24
votes
4answers
598k views

How to install apps which require a newer version of iOS on a 1st gen. iPad?

I have a 1st generation iPad and when I download apps it tells me “this requires iOS 6.0 or later” but when I go to update it tells me it's fully updated? Why is this happening, and is there any way I ...
3
votes
1answer
63 views

iMac 27-inch, Late 2014, RAM upgrade size combinations

There are 4 slots. 2 slots taken by 2x4GB that came with Mac at purchase. Max memory is specified as 32GB. Can I buy 1x8GB and 1x16GB to fill the remaining 2 slots. Or do I need to use 8GB for both ...
5
votes
1answer
15k views

Which macOS VNC client can connect to the default Ubuntu VNC server?

A few machines running Ubuntu 18.04 have to be accessed remotely through VNC. On Ubuntu, I can use Remmina Remote Desktop Client to connect to the VNC server. The VNC server on Ubuntu is setup via ...
14
votes
4answers
9k views

How do I get old apps like Photoshop CS5 to work on macOS Mojave

On the weekend I upgraded my MacBook Pro to macOS Mojave. Things are mostly ok but I have some apps that no longer work. The one I’m most stressed about is Adobe Photoshop CS5. When I try to run it it ...
2
votes
1answer
569 views

Apple Samsung 512 GB SSUBX SSD: Half as fast in MacBook Pro 15“ 2015 than in MBPR 13” 2014?

I have an Apple Samsung 256 GB SSUBX SSD which when installed in a 13" MacBook Pro Retina 2014 delivers 1,300-1,450 MB/s Read-Write, whereas when installed in newer 15" MacBook Pro Retina 2015 only ...
0
votes
2answers
1k views

Mac-Compatible Sennheiser Lavalier Mic

I am doing podcasts and videos, and I am currently looking to upgrade my sound quality. I have my eyes on the Sennheiser MKE-2, linked here: https://en-us.sennheiser.com/clip-on-lavalier-microphone-...
3
votes
2answers
3k views

Temperature logger compatible with Mac?

I'd like to measure the temperature in my fridge over a few days and graph the results, since I think the fridge may be starting to fail. So I'm looking for a cheap device which can run independently ...
1
vote
0answers
55 views

Using a Chinese iPhone XR On Verizon Wireless

I am currently in China until February and would like to purchase a new phone. If I purchase an iPhone XR here, would I run into any trouble running it on Verizon Wireless once I am back in the ...
1
vote
0answers
62 views

Time Machine back-up to older macOS version

I set up a system today running High Sierra (10.13). I'd like to reformat it to run off a backup of my other Mac, which is currently running Mojave (10.14). For various reasons, I would rather not ...
3
votes
2answers
13k views

Does Thunderbolt 1 provide USB (3.0) functionality?

Does Thunderbolt 1 provide USB (3.0) functionality? Or in other words: Is Thunderbolt 1 compatible with USB (3.0)? I have a MacBook Pro 13'', Early 2011 (MacBookPro8,1) and a Laptop Docking Station (...
0
votes
0answers
905 views

Does Photos 4.0 from Mojave work on a High Sierra installation?

I have a Mac that cannot be upgraded from High Sierra to Mojave because of the graphics card. While I am happy to exist on High Sierra for now, I would like to upgrade to the latest version of the ...
-2
votes
2answers
3k views

Which app will potentially not work with Mojave? [closed]

Is there a way to find out which apps already installed on my Mac with High Sierra will potentially have problems with Mojave. Before trying to figure out the sometimes hard to understand messages ...
2
votes
1answer
2k views

What are current cross-platform disk encryption options?

I just got a new 1TB USB SSD, to use as a backup drive. I need cross-platform compatibility and durability. I've used LUKS+ext4, and it seems both reliable and well-established (i.e. long-term support ...
0
votes
1answer
670 views

Find a list of installed apps that can no longer run because they have not been updated with the current operating system? [closed]

The question is for both iOS and macOS. I have enough apps installed that I’d like to make this info into a kind of report.
36
votes
2answers
26k views

How to make 'grep' work like in Ubuntu?

I tried to use grep to match one pattern on the terminal, but n o any result comes out. $ grep -R 'networks' grep: warning: recursive search of stdin I knew grep on macOS is based on BSD while grep ...
2
votes
1answer
377 views

Adobe CS5 compatibilty with new OS on iMac

I have an iMac running OS X 10.6.8. I need to update the operating system as I can't update search engines etc. but am worried if I do CS5 Adobe suite won't run (I also have Microsoft 2008). I need ...
5
votes
1answer
128 views

iPhone application compatibility

Does the Nike iPhone Sport Kit will work on a 2nd generation iPhone that has the 3.0 update applied? In the Q&A on the website, some say it will, but others say it only works on a 3GS iPhone.
3
votes
1answer
1k views

How to ssh in to a blowfish-based server from MacOS Sierra?

We've got some embedded devices that we need to ssh in to sometimes in order to administer, but the devices' ssh server only supports the "blowfish" cypher. This has been working okay, except that ...
1
vote
1answer
40 views

Are there adapters for MiniDisplay port screens to HDMI video cards

I am wondering if I can connect an Apple Cinema Display with a MiniDisplay port to an HDMI video card.
1
vote
0answers
387 views

How to create a Windows Compatible Encrypted disk image?

I need to send a file over Email securely. My idea was to use a Disk Image containing the file. Unfortunately, the person who I am sending the file to has a PC running Windows 10. I need a way (...
2
votes
2answers
165 views

Is there any GUI application that runs on both Mac OS X 10.0 Cheetah and macOS 10.13.4 High Sierra?

I'm trying to make the argument that macOS (Mac OS X) has a very long legacy as a desktop operating system, but my colleagues brought up the point that it's gone through so many iterations since 10.0 ...